package com.ruoyi.post.mapper;

import com.ruoyi.post.domain.PostSeries;

import java.util.List;

/**
 * 邮贝套系信息; 
 * 
 * @author huianan
 * @date 2023-02-11
 */
public interface PostSeriesMapper 
{
    /**
     * 查询邮贝套系信息;
     * 
     * @param seriesId 邮贝套系信息;主键
     * @return 邮贝套系信息;
     */
    public PostSeries selectPostSeriesBySeriesId(Long seriesId);

    /**
     * 查询邮贝套系信息;列表
     * 
     * @param postSeries 邮贝套系信息;
     * @return 邮贝套系信息;集合
     */
    public List<PostSeries> selectPostSeriesList(PostSeries postSeries);

    /**
     * 新增邮贝套系信息;
     * 
     * @param postSeries 邮贝套系信息;
     * @return 结果
     */
    public int insertPostSeries(PostSeries postSeries);

    /**
     * 修改邮贝套系信息;
     * 
     * @param postSeries 邮贝套系信息;
     * @return 结果
     */
    public int updatePostSeries(PostSeries postSeries);

    /**
     * 删除邮贝套系信息;
     * 
     * @param seriesId 邮贝套系信息;主键
     * @return 结果
     */
    public int deletePostSeriesBySeriesId(Long seriesId);

    /**
     * 批量删除邮贝套系信息;
     * 
     * @param seriesIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePostSeriesBySeriesIds(Long[] seriesIds);
}
